# Get User's Exchanges

## Overview

This GET endpoint enables you to fetch the list of exchanges available to a specific user.

There are four required parameters that must be provided in the request:

1. **Et-App-Key** (header). This is the unique key of your app that identifies your app when communicating with our service. Contact your administrator to get this key.
2. **Authorization** (header). This is the authorization token from the very first [token request](/rest-api/trading-api/authentication/requesting-tokens.md).
3. **userID** (path). This is the internal ID of the user  whose exchanges you'd like to list. If you're sending the request on behalf of the user whose authorization token is used to perform the request, set this parameter to `@me`.
4. **API version** (path). Unless necessary, leave it at "1.0".

The user information request must be sent to the following URL:

```
GET apiURL/v1.0/users/{userID}/exchanges
```

### Response

In response, you'll receive a JSON file containing the list of exchanges available to that user:

```javascript
[
  "NYSE",
  "KNIGHT",
  "NSDQ",
  "Auto",
  "VIRTEX",
  "FXCM",
  "ARCA",
  "BATS",
  "MNGD",
  "EDGX"
]
```

{% hint style="info" %}
If a trader selects **`Auto`** when placing an order, this order will be routed to the most appropriate exchange.
{% endhint %}

### Common Mistakes

Here are some of the common mistakes that developers make when attempting to retrieve the list of exchanges available to a specific user.

#### Failing to Specify the Et-App-Key Parameter

If you specify the wrong Et-App-Key parameter or fail to include it in the header altogether, you'll get the following error:

```javascript
{
    "error": "Application key is not defined or does not exist"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/managing-users/get-users-exchanges.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
